import { Callback } from '../../Callback';
import { Dict } from '../../Dict';
import { GlobalRefSpec } from '../../GlobalRefSpec';
import { IO } from '../../IO';
import { Unlisten } from '../../Unlisten';
export declare const U_METHOD_CALL: string[];
export declare const U_METHOD_WATCH: string[];
export declare const U_METHOD_REF: string[];
export declare const U_METHOD: string[];
export interface $U_C {
    $getGlobalId(data: {}, callback: Callback<string>): void;
    $play(data: {}): void;
    $pause(data: {}): void;
    $push({ id, data }: {
        id: string;
        data: any;
    }): void;
    $pullInput({ id }: {
        id: string;
    }): void;
    $takeInput({ id }: {
        id: string;
    }): void;
    $setPinData({ pinId, type, data }: {
        pinId: string;
        type: IO;
        data: string;
    }): any;
    $removePinData({ type, pinId }: {
        type: IO;
        pinId: string;
    }): any;
    $getPinData(data: {}, callback: (data: {
        input: Dict<any>;
        output: Dict<any>;
    }) => void): void;
    $getInputData({}: {}, callback: (data: Dict<any>) => void): void;
    $getRefInputData({}: {}, callback: (data: Dict<GlobalRefSpec>) => void): void;
    $reset(data: {}): void;
}
export interface $U_W {
    $watch(data: {
        events: string[];
    }, callback: (moment: any) => void): Unlisten;
}
export interface $U_R {
    $refGlobalObj(data: {
        __global_id: string;
        __: string[];
    }): $U;
}
export interface $U extends $U_C, $U_W, $U_R {
}
